ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcIface

# Documentation

tcLookupImported_maybe :: Name -> TcM (MaybeErr MsgDoc TyThing) Source #

importDecl :: Name -> IfM lcl (MaybeErr MsgDoc TyThing) Source #

checkWiredInTyCon :: TyCon -> TcM () Source #

tcHiBootIface :: HscSource -> Module -> TcRn SelfBootInfo Source #

typecheckIface :: ModIface -> TcRnIf gbl lcl ModDetails Source #

tcIfaceDecl Source #

Arguments

:: Bool | True = discard IdInfo on IfaceId bindings
-> IfaceDecl |
-> IfL TyThing |

tcIfaceInst :: IfaceClsInst -> IfL ClsInst Source #

tcIfaceFamInst :: IfaceFamInst -> IfL FamInst Source #

tcIfaceRules :: Bool -> [IfaceRule] -> IfL [CoreRule] Source #

tcIfaceVectInfo :: Module -> TypeEnv -> IfaceVectInfo -> IfL VectInfo Source #

tcIfaceAnnotations :: [IfaceAnnotation] -> IfL [Annotation] Source #

tcIfaceExpr :: IfaceExpr -> IfL CoreExpr Source #

tcIfaceGlobal :: Name -> IfL TyThing Source #